# 添加正确的导入
from src.backend.app.api.database import Base  # 修复：导入 Base
from sqlalchemy import Column, Integer, String, DateTime


class TrafficRecord(Base):
    """网络流量记录模型"""
    __tablename__ = "traffic_records"

    id = Column(Integer, primary_key=True, index=True)
    interface = Column(String(50), index=True)
    bytes_sent = Column(Integer)
    bytes_recv = Column(Integer)
    packets_sent = Column(Integer)
    packets_recv = Column(Integer)
    timestamp = Column(DateTime)

    def to_dict(self):
        return {
            "id": self.id,
            "interface": self.interface,
            "bytes_sent": self.bytes_sent,
            "bytes_recv": self.bytes_recv,
            "packets_sent": self.packets_sent,
            "packets_recv": self.packets_recv,
            "timestamp": self.timestamp.isoformat()
        }